/**
 * @author skin
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
import javax.microedition.rms.*;
import java.io.ByteArrayInputStream; 
import java.io.ByteArrayOutputStream; 
import java.io.DataInputStream; 
import java.io.DataOutputStream; 
import java.io.EOFException; 
import java.io.IOException;
import java.util.Enumeration; 
import java.util.Hashtable;
import java.util.Vector;


public class RmsDB { 
	public RecordStore rs = null; 
	private String errorMessage = null;

	public RmsDB() { 
	} 

	public RmsDB(String dbName) { 
		try { 
			rs = RecordStore.openRecordStore(dbName, true); 
		} 
		catch (RecordStoreException e) { 
			errorMessage = e.toString();
		} 	
	}

	public void openDB(String dbName) {
		try { 
			rs = RecordStore.openRecordStore(dbName, true); 
		} 
		catch (RecordStoreException e) { 
			errorMessage = e.toString();
		} 	
	}
	
	public void deleteDB(String dbName) {
		try { 
			RecordStore.deleteRecordStore(dbName); 
		} 
		catch (RecordStoreException e) { 
			errorMessage = e.toString();
		} 	
	}

	public String getRecordString(int index) {
		int location1=1, location2 = 1;
		String tmpValue = null;		
		String result = "no data";
		try {
			if ( rs.getNumRecords() < index ) {
				return result;
			}

			String strTemp = new String(rs.getRecord(index));
			if (strTemp == null) {
				errorMessage="No this index's record";
				return result;
			}
			result = strTemp;
		}
		catch(Exception e) {
				errorMessage= e.toString();
				return errorMessage;
		}
		return result;
	}
	
	public void addRecord(String value) {
		try { 
			rs.addRecord(value.getBytes(), 0, value.getBytes().length);
		} 
		catch (RecordStoreException e) { 
			errorMessage = e.toString();
		} 
	}

	public void updateRecord(String value,int dbIndex) {
		try { 
			rs.setRecord(dbIndex,value.getBytes(),0,value.getBytes().length);
		} 
		catch (RecordStoreException e) { 
			errorMessage = e.toString();
		} 
	}

	public void delRecord(int recordID) {
		try { 
			rs.deleteRecord(recordID);
		} 
		catch (Exception e) { 
			errorMessage = e.toString();
		} 
	}

	public boolean isEmpty() {
		int count = 0; 
		try { 
			count = rs.getNumRecords(); 
		} 
		catch (Exception e) { 
			errorMessage = e.toString();
		}
		 
		if (count==0) 
			return true;
		else
			return false; 
	}
	public int recordCount() {
		int count=0;
		try {
			count= rs.getNumRecords();
		} catch(Exception e) {
			errorMessage = e.toString();		
		}
		return count;
	}
} 